Description

Supportanfrage

We work on front Video Drivers assistance at Bosch Leonberg and use ADTF as our interface to test the Softwares.

We have to integrate GPS data to assess some functionalities of our Software and we are installing USB GPS mouses in some of

our cars.

We Need your assistance to store the this USB GPS mouse data (that is mainly X and Y co-ordinates) in MF4 file at the same time

what the data from front camera is being stored and extract this later for the Analysis with good Synchronisation.

Target is that along with the Picture from camera, we have to get also the GPS Location of the particular Frame.

This is turning out to be critical task since the used case for the same is really vast. Any support from your side is extremly

appreciated.

ADTF Version: 2.13.3

Lösung

The specified USB GPS mouse is unknown to us,

there is no out of the box solution yet

there are two possibilities to connect:

1. adtf to adtf compatible interface(you would have to implement this yourself)

2. write a filter capable of using the USB GPS mouse drivers interface

mf4 export from ATDF is possible

timestamps of received data can be handled by ADTF

documentation of GPS Receiver Filter which could be adapted to other hardware too

Furthermore Demo GPS File Exporter Example

History

#1 - 2019-10-30 15:32 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to DeviceTB::Common

In the documentation we have the GPS Receiver Filter which could be adapted to other hardware too

Furthermore Demo GPS File Exporter Example

Does this already help?

#2 - 2019-11-04 10:30 - hidden

2024-04-26 1/2

support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_gpsreceiver.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_gps_export.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_gpsreceiver.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_gps_export.html


Hallo Support team,

Thanks for your prompt support.

We are using ADTF 2.13.3 and GPS devices NL-8102U navilock and NL-442U navilock.

We are not quite sure if the documentation of 2.14 ADTF is still valid for 2.13.3?

Also where this needs to be adopted?  And we could not open the link GPS Receiver

Filter</adtf/v2/adtf_sdk_html_docs/page_demo_gpsreceiver.html>. Requires special permission

#3 - 2019-11-04 10:57 - hidden

The link was a relative path (works when clicked in ticket), absolute path is:

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_gpsreceiver.html

Manual and documentation is also available in the doc folder of your installation:

example:

Manual

D:\adtf\2.13.2\doc\ADTFUserManual.pdf

documentation

D:\adtf\2.13.2\doc\adtf_sdk.chm

key words:

Demo GPS Receiver Filter

Demo GPS File Exporter Example

Best regards

#4 - 2019-11-12 13:36 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Supported Scope

#7 - 2020-07-07 16:30 - hidden

- Private changed from Yes to No

#8 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
